Subject: Re: bug#41814: defmethod cl-print-object is not entirely reliable

From: Michael Heerdegen <[email-masked]>
Date: Fri, 12 Jun 2020 12:26:20 +0200

akater <[email-masked]> writes:

> I'm on Emacs 28.0.50.  I believe cl-print-object method code is not
> used when it should be.

> (make-feature 'test) RET C-u C-x C-e
>
> For me, this prints like a structure (?): #s(test)

Yes, this doesn't use cl-print at all.  And I think that makes sense:
when inserting a value into a buffer, readability is important (that
doesn't make a difference in your case, though).

We have different printers now in Elisp, and implementing
cl-print-object only has an effect when cl-print is used.

I dunno if that fact could be better documented to avoid this kind of
confusion.

Michael.